Bug 146347 - Mozilla keeps prompting password when using mod_auth_digest in Apache
Mozilla keeps prompting password when using mod_auth_digest in Apache
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-27 06:28 EST by Saurabh Bathe
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:08:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh Bathe 2005-01-27 06:28:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
When ever you visit a site secured with digest mode passwords, Mozilla
 keeps asking for authentication information for each link clicked
from the secure page. This username/password dialog box is presented
even after a successful authentication. 
Additionally, any access request for images or css templates from the
html pages is not displayed. Apache gives error code 401 for these
requests. 


Version-Release number of selected component (if applicable):
mozilla-1.4.3-3.0.7

How reproducible:
Always

Steps to Reproduce:
1.Set up digest authentication on apache
2.Access the site using mozilla shipped with Red Hat Enterprise Linux

Actual Results:  1.Mozilla shows page without css formating or images
2.Click on any link, you are again asked for the authentication
information.

Expected Results:  All images and formating using css templates be shown.
On clicking a link, should not ask for passwords again.

Additional info:

Mozilla 1.7.5 from mozilla.org works as expected so does Firefox.
Comment 1 RHEL Product and Program Management 2007-10-19 15:08:27 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.